summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Richard Narron2024-03-01 15:29:39 +0100
committer Willy Sudiarto Raharjo2024-03-01 16:23:19 +0100
commit882259458336617eb9a3ad2e38dfa2cadaeeb423 (patch)
tree8c76a427f3ec69b6c77c7085c8903820963aea22 /system
parent02c7eabf53808aa735e6672dde1762e41102a83a (diff)
downloadslackbuilds-882259458336617eb9a3ad2e38dfa2cadaeeb423.tar.gz
system/fcron: Update script.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/fcron/fcron.SlackBuild31
1 files changed, 16 insertions, 15 deletions
diff --git a/system/fcron/fcron.SlackBuild b/system/fcron/fcron.SlackBuild
index 373b775f12..f1df6e9184 100644
--- a/system/fcron/fcron.SlackBuild
+++ b/system/fcron/fcron.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=fcron
VERSION=${VERSION:-3.3.1}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -34,20 +34,6 @@ PKGTYPE=${PKGTYPE:-tgz}
FCRON_USER=${FCRON_USER:-fcron}
FCRON_GROUP=${FCRON_GROUP:-fcron}
-if ! getent group $FCRON_GROUP >/dev/null; then
- echo "Error, the group $FCRON_GROUP does not exist."
- echo "Create the group and user like this:"
- echo " groupadd -g 289 $FCRON_GROUP"
- echo " useradd -u 289 -g $FCRON_GROUP -d /var/spool/fcron -M -s /bin/false $FCRON_USER"
- exit 1
-fi
-if ! getent passwd $FCRON_USER >/dev/null; then
- echo "Error, the userid $FCRON_USER does not exist."
- echo "Create the user like this:"
- echo " useradd -u 289 -g $FCRON_GROUP -d /var/spool/fcron -M -s /bin/false $FCRON_USER"
- exit 1
-fi
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -64,6 +50,21 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+# Make sure the fcron default user and group exist
+if ! getent group $FCRON_GROUP >/dev/null; then
+ echo "Error, the group $FCRON_GROUP does not exist."
+ echo "Create the group and user like this:"
+ echo " groupadd -g 289 $FCRON_GROUP"
+ echo " useradd -u 289 -g $FCRON_GROUP -d /var/spool/fcron -M -s /bin/false $FCRON_USER"
+ exit 1
+fi
+if ! getent passwd $FCRON_USER >/dev/null; then
+ echo "Error, the userid $FCRON_USER does not exist."
+ echo "Create the user like this:"
+ echo " useradd -u 289 -g $FCRON_GROUP -d /var/spool/fcron -M -s /bin/false $FCRON_USER"
+ exit 1
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}